# Tron (TRX)

## Validator (Super Representative)

{% tabs %}
{% tab title="Mainnet" %}

<table><thead><tr><th width="200" align="center">Name</th><th align="center">Address</th></tr></thead><tbody><tr><td align="center">Kiln_Staking</td><td align="center"><a href="https://tronscan.org/#/address/TQzd66b9EFVHJfZK5AmiVhBjtJvXGeSPPZ">TQzd66b9EFVHJfZK5AmiVhBjtJvXGeSPPZ</a></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## Staking mechanics

| Metric                                                       | Value                                                                                                                                                                                                                                                                                                                                                                          |
| ------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Stake activation time**                                    | 0-6h (end of the current round)                                                                                                                                                                                                                                                                                                                                                |
| **Stake lock-up time**                                       | 14 days                                                                                                                                                                                                                                                                                                                                                                        |
| **Auto-compounding**                                         | No                                                                                                                                                                                                                                                                                                                                                                             |
| **Self-bond**                                                | None                                                                                                                                                                                                                                                                                                                                                                           |
| **Active set**                                               | <p><strong>Super Representative (SR):</strong> </p><ul><li>Top 27 by Voting Power</li><li>Participate in block production</li><li>Earn voting rewards & block production rewards</li></ul><p><strong>Super Representative Partners:</strong></p><ul><li>Top 28 - 127 by Voting Power</li><li>Only earn voting rewards</li><li>Do not perticipate in block production</li></ul> |
| **Relationship between validator stake balance and rewards** | Linear. The more stake balance there is on the validator, the more rewards it will earn.                                                                                                                                                                                                                                                                                       |
| **Slashing**                                                 | None                                                                                                                                                                                                                                                                                                                                                                           |

### Resources

The Tron Network has three system resources: TRON Power (TP), Bandwidth, and Energy.

| Resource            | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **TRON Power (TP)** | TRON Power is also known as "Voting Rights" on the Tron network. TP is obtained by staking TRX, earning 1 TP per TRX staked.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Bandwidth**       | <ul><li>With the exception of queries, all transactions on the network consume bandwidth.</li><li>Bandwidth is earned by staking TRX. Each account also receives a small amount of free bandwidth per day. Consumed & free Bandwidth is gradually replenished over 24 hours.</li><li><p>If available bandwidth is insufficient for a transaction a small amount of TRX needs to be burned.</p><ul><li><em>Burned TRX = Amount of Bandwidth consumed \* Unit price of Bandwidth</em></li></ul></li></ul>                                                                                                                                                                                      |
| **Energy**          | <ul><li>Execution of smart contracts consume Energy. More complex smart contracts consume more energy.</li><li>Energy is also earned by staking TRX. Energy consumed is also gradually replenished over 24 hours.</li><li><p>When available Energy is insufficient, a small amount of TRX needs to be burned.</p><ul><li><em>Burned TRX = Energy quantity \* Unit price of Energy</em></li></ul></li><li>The total daily Energy supply across the network is fixed and distributed proportionally based on the amount of TRX staked.</li><li>Additional details on Bandwidth & Energy pricing can be found <a href="https://developers.tron.network/docs/resource-model">here</a>.</li></ul> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/validators/protocols/tron-trx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
